Create Env
API server
https://app.coolify.io/api/v1Create env by application UUID.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the application.
Request Body
application/json
Env created.
TypeScript Definitions
Use the request body type in TypeScript.
The key of the environment variable.
The value of the environment variable.
The flag to indicate if the environment variable is used in preview deployments.
The flag to indicate if the environment variable is a literal, nothing espaced.
The flag to indicate if the environment variable is multiline.
If true, the saved value is hidden in the UI and API responses. MCP never returns environment variable values.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/applications/string/envs" \ -H "Content-Type: application/json" \ -d '{}'{ "uuid": "nc0k04gk8g0cgsk440g0koko"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Create (Docker Image without git) POST
Create new application based on a prebuilt docker image (without git).
Create Preview Deployment POST
Open a preview deployment for a pull request and queue its deployment. When the preview already exists, it is redeployed. Git based applications need git_type unless they use a GitHub or GitLab App source; Bitbucket also needs commit. Docker Image applications need docker_tag for a new preview.
